com.informix.csm

## Class IfxCsmContext

- java.lang.Object
- - com.informix.csm.IfxCsmContext

    public class IfxCsmContext
    extends java.lang.Object

### Field Summary

Fields
`static int` `CSM_SERVER`

### Constructor Summary

Constructors
Constructor and Description
`IfxCsmContext(IfxCsmDescriptor desc, java.lang.String locale)`

### Method Summary

Methods
`java.io.FilterInputStream` `getInputStream()`
`java.io.FilterOutputStream` `getOutputStream()`
`IfxCsm.Status` `getStatus()`
`void` `init()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### CSM_SERVER

    public static int CSM_SERVER

### Constructor Detail

#### IfxCsmContext

    public IfxCsmContext(IfxCsmDescriptor desc,
                 java.lang.String locale)
                  throws IfxCSSException

Throws:
  `IfxCSSException`

### Method Detail

#### init

    public void init()
              throws IfxCSSException

Throws:
  `IfxCSSException`

#### getStatus

    public IfxCsm.Status getStatus()

#### getInputStream

    public java.io.FilterInputStream getInputStream()

#### getOutputStream

    public java.io.FilterOutputStream getOutputStream()